import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class PlusButtonWidget extends StatelessWidget {
  final Offset offset;
  final void Function() onButtonTap;

  const PlusButtonWidget({
    super.key,
    required this.offset,
    required this.onButtonTap,
  });

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onButtonTap,
      child: Container(
        width: 30,
        height: 30,
        decoration: const BoxDecoration(
          color: ColorsManager.spaceColor,
          shape: BoxShape.circle,
        ),
        child: const Icon(
          Icons.add,
          color: ColorsManager.whiteColors,
          size: 20,
        ),
      ),
    );
  }
}
